Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.io
Class ByteArrayWriter

    java.lang.Object
      java.io.OutputStream
          java.io.ByteArrayOutputStream
              com.sshtools.j2ssh.io.ByteArrayWriter

public class ByteArrayWriter
extends java.io.ByteArrayOutputStream

DOCUMENT ME!

Field Summary

Fields inherited from class java.io.ByteArrayOutputStream
`buf, count`

Constructor Summary
`ByteArrayWriter()` Creates a new ByteArrayWriter object.

Method Summary
`static byte[]` | `encodeInt(int i)` DOCUMENT ME!
`void` | `writeBigInteger(java.math.BigInteger bi)` DOCUMENT ME!
`void` | `writeBinaryString(byte[] data)` DOCUMENT ME!
`void` | `writeBoolean(boolean b)` DOCUMENT ME!
`void` | `writeInt(int i)` DOCUMENT ME!
`void` | `writeInt(long i)` DOCUMENT ME!
`static void` | `writeIntToArray(byte[] array, int pos, int value)` DOCUMENT ME!
`void` | `writeString(java.lang.String str)` DOCUMENT ME!
`void` | `writeUINT32(UnsignedInteger32 value)` DOCUMENT ME!
`void` | `writeUINT64(UnsignedInteger64 value)` DOCUMENT ME!

Methods inherited from class java.io.ByteArrayOutputStream
`close, reset, size, toByteArray, toString, toString, toString, write, write, writeTo`

Methods inherited from class java.io.OutputStream
`flush, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ByteArrayWriter

    public ByteArrayWriter()

  Creates a new ByteArrayWriter object.

Method Detail

### writeBigInteger

    public void writeBigInteger(java.math.BigInteger bi)
                         throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `bi` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### writeBoolean

    public void writeBoolean(boolean b)
                      throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `b` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### writeBinaryString

    public void writeBinaryString(byte[] data)
                           throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `data` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### writeInt

    public void writeInt(long i)
                  throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `i` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### writeInt

    public void writeInt(int i)
                  throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `i` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### encodeInt

    public static byte[] encodeInt(int i)

  DOCUMENT ME!

  Parameters:
    `i` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### writeUINT32

    public void writeUINT32(UnsignedInteger32 value)
                     throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `value` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### writeUINT64

    public void writeUINT64(UnsignedInteger64 value)
                     throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `value` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### writeIntToArray

    public static void writeIntToArray(byte[] array,
                                       int pos,
                                       int value)
                                throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `array` - DOCUMENT ME!
    `pos` - DOCUMENT ME!
    `value` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### writeString

    public void writeString(java.lang.String str)
                     throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `str` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD